Subject: bug#53322: 28.0.91; "C-h c" errors out for menu-bar clicks

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jan 2022 22:28:01 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 19 Jan 2022 20:34:19 +0200
> 
> > Can you explain the rationale for the change in 8230a47?  I've read
> > the commit log, but I still don't get it: what exactly is the problem
> > with running the mouse-leave-buffer-hook in that case?  Also, are
> > there other reasons for that change?  It was committed together with a
> > change in isearch.el, so is that related in some way?
> 
> The rationale was explained at the end of bug#51173 that begins
> with the error in isearch.

But you proposed a solution for that which didn't involve using
posn-set-point, so there's an alternative that doesn't reintroduce the
bug with "C-h k" on menu-bar items.